package com.jeeplus.modules.sg.balancedlibrary.liKuResourcePool.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 利库资源池Entity
 * @author enford
 * @version 1.0
 */
public class LiKuResourcePool extends DataEntity<LiKuResourcePool> {
    /**
     * 序号
     * */
    private String serialNumber;
    /**
     * 工厂
     * */
    private String factory;
    /**
     * 批次
     * */
    private String batch;
    /**
     * 物料编码
     * */
    private String materialCode;
    /**
     * 物料描述
     * */
    private String materialDescription;
    /**
     * 计量单位
     * */
    private String unitOfMeasurement;
    /**
     * 库存数量
     * */
    private Double inventoryAmount;
    /**
     * 库存金额
     * */
    private String inventoryLocation;
    /**
     * 库存地
     * */
    private String invLocation;
    /**
     * 库存地描述
     * */
    private String invLocationDes;
    /**
     * 供应商名称
     * */
    private String supplierName;
    /**
     * 特殊库存标识
     * */
    private String specialStock;
    /**
     * 扩展编码
     * */
    private String extendedCoding;
    /**
     * 扩展描述
     * */
    private String extendedDescription;
    /**
     * 线缆段长
     * */
    private Double lengthOfCable;
    /**
     * 环网箱尺寸
     * */
    private String ringCage;
    /**
     * 终端质保期
     * */
    private String terminalWarranty;
    /**
     * 特殊参数
     * */
    private String specialParameters;

    /**
     * 库龄(日)
     * */
    private Integer daysStorage;
    /**
     * 库龄(月)
     * */
    private Integer monthStorage;
    /**
     * 是否业扩
     * */
    private String isExpansion;
    /**
     * 利库数量
     * */
    private Double numberOfNiches;
    /**
     * 剩余数量列
     * */
    private Double remaining;
    /**
     * 是否是段长材料资源库
     * */
    private Integer isSectionLength;

    /**
     * 判断资源库来自什么地区
     * */
    private Integer whereFrom;

    /**
     * 记录段长数据拆分后属于哪个段长
     */
    private Integer segBelongs;

    /**
     * 修改利库资源库中段长数据是否完成利库 0-未完成 1-完成
     */
    private Integer completeLiKu;

    /**
     * 线缆段长计算
     */
    private String meterNumber;

    public Double getLengthOfMetre() {
        return lengthOfMetre;
    }

    public void setLengthOfMetre(Double lengthOfMetre) {
        this.lengthOfMetre = lengthOfMetre;
    }

    private Double lengthOfMetre;//段长资源的长度（以米为单位） ，即lengthOfCable的米单位值

    @ExcelField(title = "序号", align = 2, sort = 1)
    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    @ExcelField(title = "工厂", align = 2, sort = 2)
    public String getFactory() {
        return factory;
    }

    public void setFactory(String factory) {
        this.factory = factory;
    }

    @ExcelField(title = "批次", align = 2, sort = 3)
    public String getBatch() {
        return batch;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    @ExcelField(title = "物料编码", align = 2, sort = 4)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ExcelField(title = "物料描述", align = 2, sort = 5)
    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    @ExcelField(title = "计量单位", align = 2, sort = 6)
    public String getUnitOfMeasurement() {
        return unitOfMeasurement;
    }

    public void setUnitOfMeasurement(String unitOfMeasurement) {
        this.unitOfMeasurement = unitOfMeasurement;
    }

    @ExcelField(title = "库存数量", align = 2, sort = 7)
    public Double getInventoryAmount() {
        return inventoryAmount;
    }

    public void setInventoryAmount(Double inventoryAmount) {
        this.inventoryAmount = inventoryAmount;
    }



    @ExcelField(title = "库存金额", align = 2, sort = 8)
    public String getInventoryLocation() {
        return inventoryLocation;
    }

    public void setInventoryLocation(String inventoryLocation) {
        this.inventoryLocation = inventoryLocation;
    }

    @ExcelField(title = "库存地", align = 2, sort = 9)
    public String getInvLocation() {
        return invLocation;
    }

    public void setInvLocation(String invLocation) {
        this.invLocation = invLocation;
    }

    @ExcelField(title = "库存地描述", align = 2, sort = 10)
    public String getInvLocationDes() {
        return invLocationDes;
    }

    public void setInvLocationDes(String invLocationDes) {
        this.invLocationDes = invLocationDes;
    }

    @ExcelField(title = "供应商名称", align = 2, sort = 11)
    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    @ExcelField(title = "特殊库存标识", align = 2, sort = 12)
    public String getSpecialStock() {
        return specialStock;
    }

    public void setSpecialStock(String specialStock) {
        this.specialStock = specialStock;
    }

    @ExcelField(title = "扩展编码", align = 2, sort = 13)
    public String getExtendedCoding() {
        return extendedCoding;
    }

    public void setExtendedCoding(String extendedCoding) {
        this.extendedCoding = extendedCoding;
    }

    @ExcelField(title = "扩展描述", align = 2, sort = 14)
    public String getExtendedDescription() {
        return extendedDescription;
    }

    public void setExtendedDescription(String extendedDescription) {
        this.extendedDescription = extendedDescription;
    }

    @ExcelField(title = "线缆段长", align = 2, sort = 15)
    public Double getLengthOfCable() {
        return lengthOfCable;
    }

    public void setLengthOfCable(Double lengthOfCable) {
        this.lengthOfCable = lengthOfCable;
    }

    @ExcelField(title = "环网箱尺寸", align = 2, sort = 16)
    public String getRingCage() {
        return ringCage;
    }

    public void setRingCage(String ringCage) {
        this.ringCage = ringCage;
    }

    @ExcelField(title = "终端质保期", align = 2, sort = 17)
    public String getTerminalWarranty() {
        return terminalWarranty;
    }

    public void setTerminalWarranty(String terminalWarranty) {
        this.terminalWarranty = terminalWarranty;
    }

    @ExcelField(title = "特殊参数", align = 2, sort = 18)
    public String getSpecialParameters() {
        return specialParameters;
    }

    public void setSpecialParameters(String specialParameters) {
        this.specialParameters = specialParameters;
    }

    @Override
    @ExcelField(title = "备注", align = 2, sort = 19)
    public String getRemarks() {
        return super.getRemarks();
    }

    @Override
    public void setRemarks(String remarks) {
        super.setRemarks(remarks);
    }

    @ExcelField(title = "库龄(日)", align = 2, sort = 20)
    public Integer getDaysStorage() {
        return daysStorage;
    }

    public void setDaysStorage(Integer daysStorage) {
        this.daysStorage = daysStorage;
    }


    @ExcelField(title = "库龄(月)", align = 2, sort = 21)
    public Integer getMonthStorage() {
        return monthStorage;
    }

    public void setMonthStorage(Integer monthStorage) {
        this.monthStorage = monthStorage;
    }

    @ExcelField(title = "是否业扩", align = 2, sort = 22)
    public String getIsExpansion() {
        return isExpansion;
    }

    public void setIsExpansion(String isExpansion) {
        this.isExpansion = isExpansion;
    }

    @ExcelField(title = "利库数量", align = 2, sort = 23)
    public Double getNumberOfNiches() {
        return numberOfNiches;
    }

    public void setNumberOfNiches(Double numberOfNiches) {
        this.numberOfNiches = numberOfNiches;
    }

    @ExcelField(title = "剩余数量", align = 2, sort = 24)
    public Double getRemaining() {
        return remaining;
    }

    public void setRemaining(Double remaining) {
        this.remaining = remaining;
    }

    public Integer getIsSectionLength() {
        return isSectionLength;
    }

    public void setIsSectionLength(Integer isSectionLength) {
        this.isSectionLength = isSectionLength;
    }

    public Integer getWhereFrom() {
        return whereFrom;
    }

    public void setWhereFrom(Integer whereFrom) {
        this.whereFrom = whereFrom;
    }

    public Integer getSegBelongs() {
        return segBelongs;
    }

    public void setSegBelongs(Integer segBelongs) {
        this.segBelongs = segBelongs;
    }

    public Integer getCompleteLiKu() {
        return completeLiKu;
    }

    public void setCompleteLiKu(Integer completeLiKu) {
        this.completeLiKu = completeLiKu;
    }

    public String getMeterNumber() {
        return meterNumber;
    }

    public void setMeterNumber(String meterNumber) {
        this.meterNumber = meterNumber;
    }
}
